// Package define ...
//
// Description : define ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2025-01-24 15:38
package define

import (
	"errors"
	"strings"
)

var (
	ErrValidatorRuleIsEmpty           = errors.New("validator rule is empty")
	ErrValidatorRuleParamCntIsTooLess = errors.New("validate rule param count is less than min param cnt")
	ErrValidatorRuleParamCntIsTooMore = errors.New("validate rule param count is more than min param cnt")
	ErrValidatorRuleParamCntIsNotEven = errors.New("validate rule param count is not even")

	ErrValidatorRuleGroupOrSimpleRuleAllEmpty = errors.New("validator rule group or simple rule all empty")
	ErrValidatorRuleFieldIsEmpty              = errors.New("field is empty")
)

// IsErr 是否指定类型Err
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 15:45 2025/1/24
func IsErr(err error, subMsg string) bool {
	if nil == err {
		return false
	}
	return strings.Contains(err.Error(), subMsg)
}
